diff -r 71f2c8fde0c5 -r e40a599d68cf src/__delay__.cc
--- a/src/__delay__.cc	Mon Aug 26 12:51:20 2019 -0400
+++ b/src/__delay__.cc	Mon Nov 29 13:43:29 2021 +0100
@@ -60,56 +60,52 @@
 
       OCTAVE_LOCAL_BUFFER (octave_idx_type, inddelay, alldim);
 
-      if (! error_state)
-        {
-          octave_idx_type rundel=0;
-          octave_idx_type runmdel=0;
-
-          unsigned int delsum;
-          for (octave_idx_type i = 0; i < indim; i++)
-            {
-              delsum             = 0;
-              inddelay[rundel++] = delsum;
-
-              for (octave_idx_type j = 1; j < formatdelay(i); j++)
-                {
-                  delsum            += delaylist(runmdel++);
-                  inddelay[rundel++] = delsum;
-                }
-            }
-
-          octave_idx_type maxemb = 0;
-          for (octave_idx_type i = 0; i < alldim; i++)
-            maxemb = (maxemb < inddelay[i])? inddelay[i] : maxemb;
+      octave_idx_type rundel=0;
+      octave_idx_type runmdel=0;
 
-          octave_idx_type outdim = 0;
-          for (octave_idx_type i = 0; i < indim; i++)
-             outdim += formatdelay(i);
-
-          octave_idx_type out_rows = (length > maxemb) ? length - maxemb : 0;
-
-          Matrix series (out_rows, outdim);
-          unsigned int embsum;
-          for (octave_idx_type i = maxemb; i < length; i++)
-            {
-              rundel = 0;
-              embsum = 0;
+      unsigned int delsum;
+      for (octave_idx_type i = 0; i < indim; i++)
+        {
+          delsum             = 0;
+          inddelay[rundel++] = delsum;
 
-              for (octave_idx_type j = 0; j < indim; j++)
-                {
-                  octave_idx_type emb = formatdelay(j);
-
-                  for (octave_idx_type k = 0; k < emb; k++)
-                    series(i-maxemb, embsum+k) = data(i-inddelay[rundel++], j);
-
-                    // previously fprintf(stdout,"%e ",series[j][i-inddelay[rundel++]]);
-                  embsum += emb;
-                }
-              // previously fprintf(stdout,"\n");
+          for (octave_idx_type j = 1; j < formatdelay(i); j++)
+            {
+              delsum            += delaylist(runmdel++);
+              inddelay[rundel++] = delsum;
             }
-          retval(0) = series;
         }
 
+      octave_idx_type maxemb = 0;
+      for (octave_idx_type i = 0; i < alldim; i++)
+        maxemb = (maxemb < inddelay[i])? inddelay[i] : maxemb;
+
+      octave_idx_type outdim = 0;
+      for (octave_idx_type i = 0; i < indim; i++)
+         outdim += formatdelay(i);
+
+      octave_idx_type out_rows = (length > maxemb) ? length - maxemb : 0;
+
+      Matrix series (out_rows, outdim);
+      unsigned int embsum;
+      for (octave_idx_type i = maxemb; i < length; i++)
+        {
+          rundel = 0;
+          embsum = 0;
+
+          for (octave_idx_type j = 0; j < indim; j++)
+            {
+              octave_idx_type emb = formatdelay(j);
+
+              for (octave_idx_type k = 0; k < emb; k++)
+                series(i-maxemb, embsum+k) = data(i-inddelay[rundel++], j);
+
+              // previously fprintf(stdout,"%e ",series[j][i-inddelay[rundel++]]);
+              embsum += emb;
+            }
+          // previously fprintf(stdout,"\n");
+        }
+      retval(0) = series;
     }
   return retval;
 }
diff -r 71f2c8fde0c5 -r e40a599d68cf src/__false_nearest__.cc
--- a/src/__false_nearest__.cc	Mon Aug 26 12:51:20 2019 -0400
+++ b/src/__false_nearest__.cc	Mon Nov 29 13:43:29 2021 +0100
@@ -179,78 +179,75 @@
       check_alloc(vcomp=(unsigned int*)malloc(sizeof(int)*(maxdim)));
       check_alloc(vemb=(unsigned int*)malloc(sizeof(int)*(maxdim)));
 
-      if ( ! error_state)
-        {
-          for (i=0;i<maxdim;i++) {
-            if (comp == 1) {
-              vcomp[i]=0;
-              vemb[i]=i*delay;
-            }
-            else {
-              vcomp[i]=i%comp;
-              vemb[i]=(i/comp)*delay;
-            }
-          }
+      for (i=0;i<maxdim;i++) {
+        if (comp == 1) {
+          vcomp[i]=0;
+          vemb[i]=i*delay;
+        }
+        else {
+          vcomp[i]=i%comp;
+          vemb[i]=(i/comp)*delay;
+        }
+      }
 
-          // Create output matrix
-          Matrix output (maxemb-minemb+1, 4);
+      // Create output matrix
+      Matrix output (maxemb-minemb+1, 4);
 
-          // Compute output
-          for (emb=minemb;emb<=maxemb;emb++) 
-            {
-              dim=emb*comp-1;
-              epsilon=eps0;
-              toolarge=0;
-              alldone=0;
-              donesofar=0;
-              aveps=0.0;
-              vareps=0.0;
-              for (i=0;i<length;i++)
-                nearest[i]=0;
-              if (verbosity)
-                octave_stdout << "Start for dimension=" << dim+1 << "\n";
-              while (!alldone && (epsilon < 2.*varianz/rt)) {
-                alldone=1;
-                mmb(input, vcomp[dim],vemb[dim],epsilon);
-                for (i=0;i<length-maxemb*delay;i++)
-                if (!nearest[i]) {
-                  nearest[i]=find_nearest(input, i,dim,epsilon);
-                  alldone &= nearest[i];
-                  donesofar += (unsigned long)nearest[i];
-                }
-                if (verbosity)
-                octave_stdout << "Found " << donesofar << " up to epsilon=" << \
-                              epsilon*inter << "\n";
-                epsilon*=sqrt(2.0);
-                if (!donesofar)
-                eps0=epsilon;
-              }
-              if (donesofar == 0) {
-                error_with_id ("Octave:tisean", "Not enough points found");
-              }
-              aveps *= (1./(double)donesofar);
-              vareps *= (1./(double)donesofar);
+      // Compute output
+      for (emb=minemb;emb<=maxemb;emb++) 
+        {
+          dim=emb*comp-1;
+          epsilon=eps0;
+          toolarge=0;
+          alldone=0;
+          donesofar=0;
+          aveps=0.0;
+          vareps=0.0;
+          for (i=0;i<length;i++)
+            nearest[i]=0;
+          if (verbosity)
+            octave_stdout << "Start for dimension=" << dim+1 << "\n";
+          while (!alldone && (epsilon < 2.*varianz/rt)) {
+            alldone=1;
+            mmb(input, vcomp[dim],vemb[dim],epsilon);
+            for (i=0;i<length-maxemb*delay;i++)
+            if (!nearest[i]) {
+              nearest[i]=find_nearest(input, i,dim,epsilon);
+              alldone &= nearest[i];
+              donesofar += (unsigned long)nearest[i];
+            }
+            if (verbosity)
+            octave_stdout << "Found " << donesofar << " up to epsilon=" << \
+                          epsilon*inter << "\n";
+            epsilon*=sqrt(2.0);
+            if (!donesofar)
+            eps0=epsilon;
+          }
+          if (donesofar == 0) {
+            error_with_id ("Octave:tisean", "Not enough points found");
+          }
+          aveps *= (1./(double)donesofar);
+          vareps *= (1./(double)donesofar);
 
 
-          //  old fprintf(file,"%u %e %e %e\n",dim+1,(double)toolarge/(double)donesofar,
-          //              aveps*inter,sqrt(vareps)*inter);
-              int id = emb-minemb;
-              output(id,0) = dim + 1;
-              output(id,1) = (double)toolarge/(double)donesofar;
-              output(id,2) = aveps*inter;
-              output(id,3) = sqrt(vareps)*inter;
-            }
+      //  old fprintf(file,"%u %e %e %e\n",dim+1,(double)toolarge/(double)donesofar,
+      //              aveps*inter,sqrt(vareps)*inter);
+          int id = emb-minemb;
+          output(id,0) = dim + 1;
+          output(id,1) = (double)toolarge/(double)donesofar;
+          output(id,2) = aveps*inter;
+          output(id,3) = sqrt(vareps)*inter;
+        }
 
-          delete[] series;
-          delete[] list;
-          delete[] nearest;
-          for (i=0;i<BOX;i++)
-            delete[] box[i];
-          delete[] box;
+      delete[] series;
+      delete[] list;
+      delete[] nearest;
+      for (i=0;i<BOX;i++)
+        delete[] box[i];
+      delete[] box;
 
-          for (i = 0; i < 4; i++)
-            retval(i) = output.column(i);
-        }
+      for (i = 0; i < 4; i++)
+        retval(i) = output.column(i);
     }
   return retval;
 }
diff -r 71f2c8fde0c5 -r e40a599d68cf src/__ghkss__.cc
--- a/src/__ghkss__.cc	Mon Aug 26 12:51:20 2019 -0400
+++ b/src/__ghkss__.cc	Mon Nov 29 13:43:29 2021 +0100
@@ -203,42 +203,39 @@
 
   OCTAVE_LOCAL_BUFFER (double, hav, comp);
   OCTAVE_LOCAL_BUFFER (double, hsigma, comp);
-  if ( ! error_state)
-    {
-      for (j=0;j<comp;j++)
-        hav[j]=hsigma[j]=0.0;
+  for (j=0;j<comp;j++)
+    hav[j]=hsigma[j]=0.0;
 
-      for (i=0;i<length;i++)
-        for (j=0;j<comp;j++) {
-          hav[j] += (help=delta[j][i]);
-          hsigma[j] += help*help;
-        }
+  for (i=0;i<length;i++)
+    for (j=0;j<comp;j++) {
+      hav[j] += (help=delta[j][i]);
+      hsigma[j] += help*help;
+    }
 
-      for (j=0;j<comp;j++) {
-        hav[j] /= length;
-        hsigma[j]=sqrt(fabs(hsigma[j]/length-hav[j]*hav[j]));
-      }
-      if (verbosity) {
-        for (i=0;i<comp;i++) {
-          octave_stdout << "Average shift of component " << i+1 << " = "
-                        << hav[i]*d_max[i] << "\n";
-          octave_stdout << "Average rms correction of comp. " << i+1 << " = "
-                        << hsigma[i]*d_max[i] << "\n\n";
-        }
-      }
-      for (i=0;i<length;i++)
-        for (j=0;j<comp;j++)
-          series(i,j) -= delta[j][i];
+  for (j=0;j<comp;j++) {
+    hav[j] /= length;
+    hsigma[j]=sqrt(fabs(hsigma[j]/length-hav[j]*hav[j]));
+  }
+  if (verbosity) {
+    for (i=0;i<comp;i++) {
+      octave_stdout << "Average shift of component " << i+1 << " = "
+                    << hav[i]*d_max[i] << "\n";
+      octave_stdout << "Average rms correction of comp. " << i+1 << " = "
+                    << hsigma[i]*d_max[i] << "\n\n";
+    }
+  }
+  for (i=0;i<length;i++)
+    for (j=0;j<comp;j++)
+      series(i,j) -= delta[j][i];
 
-      if (resize_eps) {
-        mineps /= epsfac;
-        if (verbosity)
-          octave_stdout << "Reset minimal neighbourhood size to "
-                        << mineps*d_max_max << "\n";
-      }
+  if (resize_eps) {
+    mineps /= epsfac;
+    if (verbosity)
+      octave_stdout << "Reset minimal neighbourhood size to "
+                    << mineps*d_max_max << "\n";
+  }
 
-      resize_eps=0;
-    }
+  resize_eps=0;
 }
 
 DEFUN_DLD (__ghkss__, args, , HELPTEXT)
@@ -338,92 +335,90 @@
         mat[i]=(double*)(matarray+dim*i);
       check_alloc(hser=(double**)malloc(sizeof(double*)*comp));
 
-      if ( ! error_state)
-        {
-          // Create output matrix
-          Matrix output (length, comp);
+      // Create output matrix
+      Matrix output (length, comp);
 
-          for (i=0;i<dim;i++) {
-            index_comp[i]=i%comp;
-            index_embed[i]=(i/comp)*delay;
-          }
+      for (i=0;i<dim;i++) {
+        index_comp[i]=i%comp;
+        index_embed[i]=(i/comp)*delay;
+      }
 
-          // Calculate the noise reduction
-          resize_eps=0;
-          for (iter=1;iter<=iterations;iter++) 
-            {
-              for (i=0;i<length;i++) {
-                ok[i]=0;
-                for (j=0;j<dim;j++)
-                corr[i][j]=0.0;
-                for (j=0;j<comp;j++)
-                delta[j][i]=0.0;
+      // Calculate the noise reduction
+      resize_eps=0;
+      for (iter=1;iter<=iterations;iter++) 
+        {
+          for (i=0;i<length;i++) {
+            ok[i]=0;
+            for (j=0;j<dim;j++)
+            corr[i][j]=0.0;
+            for (j=0;j<comp;j++)
+            delta[j][i]=0.0;
+          }
+          epsilon=mineps;
+          all_done=0;
+          epscount=1;
+          allfound=0;
+          if (verbosity)
+            octave_stdout << "Starting iteration " << iter << "\n";
+          while(!all_done) {
+            mmb(input, epsilon);
+            all_done=1;
+            for (n=emb_offset;n<length;n++)
+            if (!ok[n]) {
+              nfound=fmn(input,n,epsilon);
+              if (nfound >= minn) {
+                make_correction(input,n,nfound);
+                ok[n]=epscount;
+                if (epscount == 1)
+                  resize_eps=1;
+                allfound++;
               }
-              epsilon=mineps;
-              all_done=0;
-              epscount=1;
-              allfound=0;
-              if (verbosity)
-                octave_stdout << "Starting iteration " << iter << "\n";
-              while(!all_done) {
-                mmb(input, epsilon);
-                all_done=1;
-                for (n=emb_offset;n<length;n++)
-                if (!ok[n]) {
-                  nfound=fmn(input,n,epsilon);
-                  if (nfound >= minn) {
-                    make_correction(input,n,nfound);
-                    ok[n]=epscount;
-                    if (epscount == 1)
-                      resize_eps=1;
-                    allfound++;
+              else
+                all_done=0;
+            }
+            if (verbosity)
+              octave_stdout << "Corrected " << allfound << " points with epsilon= "
+                            << epsilon*d_max_max << "\n";
+            if (std::isinf(epsilon*d_max_max))
+              {
+                error_with_id ("Octave:tisean", "cannot reduce noise on input data");
+                return retval;
+              }
+            epsilon *= epsfac;
+            epscount++;
+          }
+          if (verbosity)
+            octave_stdout << "Start evaluating the trend\n";
+
+          epsilon=mineps;
+          allfound=0;
+          for (i=1;i<epscount;i++) {
+            mmb(input,epsilon);
+            for (n=emb_offset;n<length;n++)
+            if (ok[n] == i) {
+              nfound=fmn(input,n,epsilon);
+              handle_trend(n,nfound);
+              allfound++;
+            }
+            if (verbosity)
+            octave_stdout << "Trend subtracted for " << allfound << " points with epsilon= " 
+                          << epsilon*d_max_max << "\n";
+            epsilon *= epsfac;
+          }
+          set_correction(input);
+
+          if (iter == iterations)
+            for (i=0;i<length;i++) 
+              {
+                for (j=0;j<comp;j++) 
+                  {
+                  // old  fprintf(file,"%e ",series[j][i]*d_max[j]+d_min[j]);
+                    output(i,j) = input(i,j)*d_max[j]+d_min[j];
                   }
-                  else
-                    all_done=0;
-                }
-                if (verbosity)
-                  octave_stdout << "Corrected " << allfound << " points with epsilon= "
-                                << epsilon*d_max_max << "\n";
-                if (std::isinf(epsilon*d_max_max))
-                  {
-                    error_with_id ("Octave:tisean", "cannot reduce noise on input data");
-                    return retval;
-                  }
-                epsilon *= epsfac;
-                epscount++;
               }
-              if (verbosity)
-                octave_stdout << "Start evaluating the trend\n";
+        }
+      retval(0) = output;
 
-              epsilon=mineps;
-              allfound=0;
-              for (i=1;i<epscount;i++) {
-                mmb(input,epsilon);
-                for (n=emb_offset;n<length;n++)
-                if (ok[n] == i) {
-                  nfound=fmn(input,n,epsilon);
-                  handle_trend(n,nfound);
-                  allfound++;
-                }
-                if (verbosity)
-                octave_stdout << "Trend subtracted for " << allfound << " points with epsilon= " 
-                              << epsilon*d_max_max << "\n";
-                epsilon *= epsfac;
-              }
-              set_correction(input);
-
-              if (iter == iterations)
-                for (i=0;i<length;i++) 
-                  {
-                    for (j=0;j<comp;j++) 
-                      {
-                      // old  fprintf(file,"%e ",series[j][i]*d_max[j]+d_min[j]);
-                        output(i,j) = input(i,j)*d_max[j]+d_min[j];
-                      }
-                  }
-            }
-          retval(0) = output;
-        }
     // Deallocate of all the memory
       delete[] d_min;
       delete[] d_max;
diff -r 71f2c8fde0c5 -r e40a599d68cf src/__lfo_ar__.cc
--- a/src/__lfo_ar__.cc	Mon Aug 26 12:51:20 2019 -0400
+++ b/src/__lfo_ar__.cc	Mon Nov 29 13:43:29 2021 +0100
@@ -168,12 +168,6 @@
     Matrix solved_vec = mat.solve(vec);
     double *solved_vec_arr = solved_vec.fortran_vec ();
 
-    // If errors were raised, there is no sense in countinueing
-    if (error_state)
-      {
-        return ;
-      }
-
     double cast=foreav[i];
     for (octave_idx_type j=0;j<dim;j++) {
 
@@ -262,110 +256,101 @@
 
       octave_idx_type clength=(CLENGTH <= LENGTH) ? CLENGTH-STEP : LENGTH-STEP;
 
-      if ( ! error_state)
-        {
+      // Promote warnings connected with singular matrixes to errors
+      set_warning_state ("Octave:nearly-singular-matrix","error");
+      set_warning_state ("Octave:singular-matrix","error");
 
-          // Promote warnings connected with singular matrixes to errors
-          set_warning_state ("Octave:nearly-singular-matrix","error");
-          set_warning_state ("Octave:singular-matrix","error");
-
-          // Estimate maximum possible output size
-          octave_idx_type output_rows = (octave_idx_type)
-                                        ((log(EPS1) - log(EPS0)) / log (EPSF));
-          output_rows += 2;
+      // Estimate maximum possible output size
+      octave_idx_type output_rows = (octave_idx_type)
+                                    ((log(EPS1) - log(EPS0)) / log (EPSF));
+      output_rows += 2;
 
-          // Create output
-          Matrix output (output_rows,dim+4);
-          octave_idx_type count = 0;
+      // Create output
+      Matrix output (output_rows,dim+4);
+      octave_idx_type count = 0;
 
-          if (verbose)
-            printf("\nStarting new dataset\n\n");
+      if (verbose)
+        printf("\nStarting new dataset\n\n");
 
-          for (double epsilon=EPS0;epsilon<EPS1*EPSF;epsilon*=EPSF) 
+      for (double epsilon=EPS0;epsilon<EPS1*EPSF;epsilon*=EPSF) 
+        {
+          if (verbose)
             {
-              if (verbose)
-                {
-                  printf ("For epsilon = %e, the count = %lu\n",
-                          epsilon, (unsigned long)count);
-                  fflush (stdout);
-                }
+              printf ("For epsilon = %e, the count = %lu\n",
+                      epsilon, (unsigned long)count);
+              fflush (stdout);
+            }
 
-              long pfound=0;
-              for (octave_idx_type i=0;i<dim;i++)
-                error_array[i]=hrms[i]=hav[i]=0.0;
-              double avfound=0.0;
-              make_multi_box(series,box,list,LENGTH-STEP,NMAX,dim,
-                             embed,delay,epsilon);
-              for (octave_idx_type i=(embed-1)*delay;i<clength;i++) 
-                {
-                  for (octave_idx_type j=0;j<dim;j++)
-                    hser[j] = series[j] + i;
+          long pfound=0;
+          for (octave_idx_type i=0;i<dim;i++)
+            error_array[i]=hrms[i]=hav[i]=0.0;
+          double avfound=0.0;
+          make_multi_box(series,box,list,LENGTH-STEP,NMAX,dim,
+                         embed,delay,epsilon);
+          for (octave_idx_type i=(embed-1)*delay;i<clength;i++) 
+            {
+              for (octave_idx_type j=0;j<dim;j++)
+                hser[j] = series[j] + i;
 
-                  octave_idx_type actfound;
-                  actfound=find_multi_neighbors(series,box,list,hser,NMAX,
-                                                dim,embed,delay, epsilon,
-                                                hfound);
-                  actfound=exclude_interval(actfound,i-causal+1,
-                                            i+causal+(embed-1) *delay-1,
-                                            hfound,found);
-                  if (actfound > 2*(dim*embed+1))
+              octave_idx_type actfound;
+              actfound=find_multi_neighbors(series,box,list,hser,NMAX,
+                                            dim,embed,delay, epsilon,
+                                            hfound);
+              actfound=exclude_interval(actfound,i-causal+1,
+                                        i+causal+(embed-1) *delay-1,
+                                        hfound,found);
+              if (actfound > 2*(dim*embed+1))
+                {
+                  make_fit (series, found, error_array,
+                            i,dim, embed, delay, STEP, actfound);
+                  // Checking if the fit was correct
+                  pfound++;
+                  avfound += (double)(actfound-1);
+                  for (octave_idx_type j=0;j<dim;j++) 
                     {
-                      make_fit (series, found, error_array,
-                                i,dim, embed, delay, STEP, actfound);
-                      // Checking if the fit was correct
-                      // If any errors were raised: end function
-                      if (error_state)
-                        {
-                          return retval;
-                        }
-                      pfound++;
-                      avfound += (double)(actfound-1);
-                      for (octave_idx_type j=0;j<dim;j++) 
-                        {
-                          hrms[j] += series[j][i+STEP] * series[j][i+STEP];
-                          hav[j] += series[j][i+STEP];
-                        }
+                      hrms[j] += series[j][i+STEP] * series[j][i+STEP];
+                      hav[j] += series[j][i+STEP];
                     }
                 }
-              if (pfound > 1) 
+            }
+          if (pfound > 1) 
+            {
+              double sumerror=0.0;
+              for (octave_idx_type j=0;j<dim;j++)
+                {
+                  hav[j] /= pfound;
+                  hrms[j]=sqrt(fabs(hrms[j]/(pfound-1)-hav[j]*hav[j]*pfound
+                                    /(pfound-1)));
+                  error_array[j]=sqrt(error_array[j]/pfound)/hrms[j];
+                  sumerror += error_array[j];
+                }
+         
+            
+          // old fprintf(stdout,"%e %e ",epsilon*interval,
+          //                          sumerror/(double)dim);
+              output(count, 0) = epsilon*interval;
+              output(count, 1) = sumerror/(double)dim;
+              for (octave_idx_type j=0;j<dim;j++)
                 {
-                  double sumerror=0.0;
-                  for (octave_idx_type j=0;j<dim;j++)
-                    {
-                      hav[j] /= pfound;
-                      hrms[j]=sqrt(fabs(hrms[j]/(pfound-1)-hav[j]*hav[j]*pfound
-                                        /(pfound-1)));
-                      error_array[j]=sqrt(error_array[j]/pfound)/hrms[j];
-                      sumerror += error_array[j];
-                    }
-             
-                
-              // old fprintf(stdout,"%e %e ",epsilon*interval,
-              //                          sumerror/(double)dim);
-                  output(count, 0) = epsilon*interval;
-                  output(count, 1) = sumerror/(double)dim;
-                  for (octave_idx_type j=0;j<dim;j++)
-                    {
-                    //old fprintf(stdout,"%e ",error_array[j]);
-                      output(count, 2 + j) = error_array[j];
-                    }
-              // old  fprintf(stdout,"%e %e\n",(double)pfound
-              //          /(clength-(embed-1)*delay),
-              //          avfound/pfound);
-                  output(count, 2 + dim) = (double)pfound
-                                           /(clength-(embed-1)*delay);
-                  output(count, 2 + dim + 1) = avfound/pfound;
+                //old fprintf(stdout,"%e ",error_array[j]);
+                  output(count, 2 + j) = error_array[j];
+                }
+          // old  fprintf(stdout,"%e %e\n",(double)pfound
+          //          /(clength-(embed-1)*delay),
+          //          avfound/pfound);
+              output(count, 2 + dim) = (double)pfound
+                                       /(clength-(embed-1)*delay);
+              output(count, 2 + dim + 1) = avfound/pfound;
 
-                  count += 1;
-                }
+              count += 1;
             }
-          // Resize output to fit actual results instead of
-          // an educated guess
-          // if count == 0 then the output will be an 0x4+dim matrix
-          output.resize (count, dim + 4);
+        }
+      // Resize output to fit actual results instead of
+      // an educated guess
+      // if count == 0 then the output will be an 0x4+dim matrix
+      output.resize (count, dim + 4);
 
-          retval(0) = output;
-        }
+      retval(0) = output;
     }
   return retval;
 }
